Recent

Author Topic: Problem installing Lazarus  (Read 7304 times)

Matija

  • New Member
  • *
  • Posts: 16
Problem installing Lazarus
« on: September 03, 2014, 01:15:55 am »
Hello,
I try to install Lazarus following official instruction.
Code: [Select]
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install fpc

After runing last line I get next massage:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies: fpc : Depends: fpc-2.6.0 (= 2.6.0-9+rpi1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
I boot RPI to shell, I increase swap file to 600M, I install
Code: [Select]
sudo apt-get install binutils-dev but no success.

Any idea?
Regards, Matija

BigChimp

  • Hero Member
  • *****
  • Posts: 5740
  • Add to the wiki - it's free ;)
    • FPCUp, PaperTiger scanning and other open source projects
Re: Problem installing Lazarus
« Reply #1 on: September 03, 2014, 09:57:59 am »
No ideas.

However: What operating system are you running? On a Raspberry Pi?
See first link in my signature.

Thanks.
Want quicker answers to your questions? Read http://wiki.lazarus.freepascal.org/Lazarus_Faq#What_is_the_correct_way_to_ask_questions_in_the_forum.3F

Open source including papertiger OCR/PDF scanning:
https://bitbucket.org/reiniero

Lazarus trunk+FPC trunk x86, Windows x64 unless otherwise specified

Matija

  • New Member
  • *
  • Posts: 16
Re: Problem installing Lazarus
« Reply #2 on: September 03, 2014, 10:53:32 am »
Sorry for lack of information.

I run preinstalled OS - Debian on 8G SD card. RPI is B+.
Before Lazarus I install MySql server and connector. Nothing else.

Regards, Matija

Matija

  • New Member
  • *
  • Posts: 16
Re: Problem installing Lazarus
« Reply #3 on: September 03, 2014, 09:31:59 pm »
I find the solution.
I use fresh image and write
Code: [Select]
sudo apt-get updateafter that if i use upgrade I get an error when installing fpc.
So I first Install
Code: [Select]
sudo apt-get install fpc
sudo apt-get install lazarus
and after that
Code: [Select]
sudo apt-get upgradeRPI give me an error that I have some dependencies isues with lazarus and lcl but after I run
Code: [Select]
sudo apt-get -f install
I can succesfully finish the upgrade and Lazarus was working fine.

Regards, Matija
« Last Edit: September 03, 2014, 09:33:52 pm by Matija »

BigChimp

  • Hero Member
  • *****
  • Posts: 5740
  • Add to the wiki - it's free ;)
    • FPCUp, PaperTiger scanning and other open source projects
Re: Problem installing Lazarus
« Reply #4 on: September 04, 2014, 11:09:56 am »
Glad you got it working & thanks for posting your solution!
Want quicker answers to your questions? Read http://wiki.lazarus.freepascal.org/Lazarus_Faq#What_is_the_correct_way_to_ask_questions_in_the_forum.3F

Open source including papertiger OCR/PDF scanning:
https://bitbucket.org/reiniero

Lazarus trunk+FPC trunk x86, Windows x64 unless otherwise specified